Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libkexif
Version:	0.2.5
Release:	1
License:	GNU/GPL 
URL:            http://extragear.kde.org/apps/kipi
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch0:         libkexif-0.2.1-qcombobox.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} is a library for manipulating EXIF information embedded in images.
Requires:	libexif >= 0.6.12
BuildRequires:	libexif-devel >= 0.6.12 kdelibs-devel

%description
%{name} is a library for manipulating EXIF information embedded in images.
It currently supports viewing of all EXIF information via libexif. It also
supports the modification of a few attributes in a safe way that preserves
all other EXIF information in the file.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b .qcombobox

%build
./configure --prefix=%_kdedir --disable-rpath --disable-debug --enable-final
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_kdelibdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_kdelibdir}/*.so
%{_kdelibdir}/pkgconfig/*.pc
%{_kdeincludedir}/libkexif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 27 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.2.5-1
- version update
* Sun Sep 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.4-1
- version update
* Fri May 26 2006 Christian Metzen <metzench@ccux-linux.de> 0.2.3-1
- version update
* Wed May 24 2006 Christian Metzen <metzench@ccux-linux.de> 0.2.2-3
- redefined files list
* Wed May 24 2006 Christian Metzen <metzench@ccux-linux.de> 0.2.2-2
- rebuilt against newest qt, changed prefix
* Wed Jan 25 2006 Christian Metzen <metzench@ccux-linux.de> 0.2.2-1
- Version update
* Wed Sep 28 2005 Christian Metzen <metzench@ccux-linux.de> 0.2.1-2
- Moved prefix, removed wrong obsoletes tag, refined files list
* Sat Apr 16 2005 Christian Wasem <wasem@ccux-linux.de> 0.2.1-1
- Initial Release
